Name:		teseq
Version:	1.0.0
Release:	2%{?dist}
Summary:	An utility for rendering terminal typescripts human-readable 

Group:		Development/Tools
License:	GPLv3+
URL:		http://www.gnu.org/software/teseq/
Source0:	http://ftp.gnu.org/gnu/teseq/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):	info
Requires(preun): info

%description
Teseq, a tool for analyzing files that contain control characters and 
terminal control sequences. It is intended to be useful for diagnosing 
terminal emulators, and programs that make heavy use of terminal features 
(such as those based on the Curses library).

It is primarily targeted at individuals who possess a basic understanding of 
terminal control sequences, especially CSI sequences.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README COPYING NEWS
%{_bindir}/%{name}
%{_bindir}/reseq
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/reseq.1.gz
%{_mandir}/man1/%{name}.1.gz
%{_libexecdir}/%{name}-post.sed


%changelog
* Sat Aug 23 2008 Vivek Shah <boni.vivek at, gmail.com> 1.0.0-2
- Added self check and fixed SOURCE0 URL with macros 

* Thu Aug 07 2008 Vivek Shah <boni.vivek at, gmail.com> 1.0.0-1
- Initial Package
